Bug 1297413 - Review Request: python-importanize - Utility for organizing Python imports using PEP8 or custom rules
Review Request: python-importanize - Utility for organizing Python imports us...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 1297425
Blocks: 1293909
  Show dependency treegraph
 
Reported: 2016-01-11 07:58 EST by Sundeep Anand
Modified: 2016-02-09 15:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 15:54:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sundeep Anand 2016-01-11 07:58:36 EST
Spec URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-importanize.spec
SRPM URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-importanize-0.4.1-1.fc23.src.rpm
Description: importanize allows to organize Python imports using PEP8 or configuration file.
Fedora Account System Username: suanand

Upstream co-maintainer: zanata-python-client
Comment 1 Upstream Release Monitoring 2016-01-11 08:03:08 EST
suanand's scratch build of python-importanize-0.4.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12497775
Comment 2 Parag AN(पराग) 2016-01-16 01:27:58 EST
You may want to use almost similar example spec file given here https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 4 Upstream Release Monitoring 2016-01-18 05:45:36 EST
suanand's scratch build of python-importanize-0.4.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12591527
Comment 5 Parag AN(पराग) 2016-01-21 09:00:03 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
1) directory ownership is missing therefore change
%{python2_sitelib}/%{pypi_name}/*
to
%{python2_sitelib}/%{pypi_name}

do same for python3 subpackage in %files

2) Add to following to the end of %install section
# Delete tests
rm -fr %{buildroot}%{python2_sitelib}/tests

we don't want to install test files. Also they can conflict with other packages as other packages test files may have same file names.

3) with above change also remove following from respective %files section
%{python2_sitelib}/tests/*

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 17 files have
     unknown license. Detailed output of licensecheck in
     /home/parag/1297413-python-importanize/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python2.7/site-packages/importanize,
     /usr/lib/python3.5/site-packages, /usr/lib/python3.5,
     /usr/lib/python3.5/site-packages/tests, /usr/lib/python3.5/site-
     packages/importanize
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages/tests, /usr/lib/python2.7/site-packages/importanize,
     /usr/lib/python2.7/site-packages/tests, /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5/site-packages/importanize,
     /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-importanize
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-importanize-0.4.1-1.fc24.noarch.rpm
          python3-importanize-0.4.1-1.fc24.noarch.rpm
          python-importanize-0.4.1-1.fc24.src.rpm
python-importanize.noarch: W: no-manual-page-for-binary importanize
python3-importanize.noarch: W: no-manual-page-for-binary importanize
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python3-importanize.noarch: W: no-manual-page-for-binary importanize
python-importanize.noarch: W: no-manual-page-for-binary importanize
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python3-importanize (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)

python-importanize (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)



Provides
--------
python3-importanize:
    python3-importanize

python-importanize:
    python-importanize



Source checksums
----------------
https://pypi.python.org/packages/source/i/importanize/importanize-0.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : f35774b8eacc675f3b957f95d144b1b2492311a2812d58faf5cf91b7f2e7debd
  CHECKSUM(SHA256) upstream package : f35774b8eacc675f3b957f95d144b1b2492311a2812d58faf5cf91b7f2e7debd


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20


Please provide updated package.
Comment 7 Upstream Release Monitoring 2016-01-22 06:42:28 EST
suanand's scratch build of python-importanize-0.4.1-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12646627
Comment 8 Parag AN(पराग) 2016-01-22 07:12:50 EST
APPROVED.
Comment 9 Gwyn Ciesla 2016-01-22 07:37:28 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-importanize
Comment 10 Fedora Update System 2016-02-01 01:29:29 EST
python-importanize-0.4.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0b13d942cd
Comment 11 Fedora Update System 2016-02-01 21:27:38 EST
python-importanize-0.4.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0b13d942cd
Comment 12 Fedora Update System 2016-02-09 15:54:06 EST
python-importanize-0.4.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.